package com.brilliance.isc.vo.manager;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.bo.Ptycrm;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.math.BigDecimal;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class PtyManageVo extends BaseEntity {

    /**
     * infpty查询列表查询条件
     */
    //主键
    private String inr = NULLSTR;

    //客户号
    private String extkey = NULLSTR;

    //英文名称(nam)
    private String ennam = NULLSTR;

    //中文名称(nam1)
    private String cnnam = NULLSTR;

    //英文地址
    private String enadr;

    //中文地址
    private String cnadr;

    /**
     * pty基本信息展示
    */
    private String idtype;

    private String juscod;

    private String idcode;

    private String akkcom;

    private String qygmgb;

    private String accusr;

    private String bchkeyinr;
    private String bchkey;

    private Bch bchkeybch;
    private String bchkeyname;

    private String issbchinf;

    private String sla;

    private String khbsdt;

    private String cunqii;

    private String bngcod;

    private BigDecimal bilvvv;

    private String discod;

    private String crmtyp;

    private String trnman;

    private String ver;

    private String nam1;

    private String nam;

    private String ptainr;

    private String adrinr;

    private String cur;

    private String ptytyp;

    private String actcur;

    private String acttyp;

    private String ecifno;

    // oit会存两条条消息，一条一般消息，一条禁止消息
    /**
     * 一般消息提示
     */
    private String inflev;

    /**
     * 一般消息提示内容
     */
    private String inftxt;

    /**
     * 禁止消息提示
     */
    private String stpinflev;

    /**
     * 禁止消息提示内容
     */
    private String stpinftxt;

    // pty.branchinr,存主地址所属机构
    private String branchinr;

    private String branchname;

    /**
     * updpts查询条件
     */
    // 所属机构
    private String ptabranchinr;
    private String ptabranch;
    private String ptabranchname;

    // 经办机构/管户机构
    private String ptabchkeyinr;
    private String ptabchkey;
    private String ptabchkeyname;

    // 更新后管户机构
    private String newbchlst;

    // 账号信息
    private List<ActManageVo> actInfo;

    //是否电商
    private String dshflg;

    //特殊区域标志
    private String speeco;

    private String branch;
    private Bch branchbch;

    private String bchinr;

    private String hbkaccflg;

    private String ecifnam1;

    private String hbkinr;

    // 地址编号
    private String adrextkey;
    //主地址信息
    private String loccty;
    private String pobzip;
    private String locadr;
    private String adr1;
    private String adr2;
    private String adr3;
    private String adr4;

    // 储存四位机构号
    private String bchkeycode;
    private String branchcode;

    //oit
    private String oitinr;
    private String oitsubtyp;
    private String oitsubtyp_lab;

    //crm数据
    private Ptycrm ptycrm;

    public Ptycrm getPtycrm() {
        return ptycrm;
    }

    public void setPtycrm(final Ptycrm ptycrm) {
        this.ptycrm = ptycrm;
    }
    public String getOitinr() {
        return oitinr;
    }

    public void setOitinr(String oitinr) {
        this.oitinr = oitinr;
    }

    public String getOitsubtyp() {
        return oitsubtyp;
    }

    public void setOitsubtyp(String oitsubtyp) {
        this.oitsubtyp = oitsubtyp;
    }

    public String getOitsubtyp_lab() {
        return oitsubtyp_lab;
    }

    public void setOitsubtyp_lab(String oitsubtyp_lab) {
        this.oitsubtyp_lab = oitsubtyp_lab;
    }

    public String getAdrextkey() {
        return adrextkey;
    }

    public void setAdrextkey(String adrextkey) {
        this.adrextkey = adrextkey;
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getEnnam() {
        return ennam;
    }

    public void setEnnam(String ennam) {
        this.ennam = ennam;
    }

    public String getCnnam() {
        return cnnam;
    }

    public void setCnnam(String cnnam) {
        this.cnnam = cnnam;
    }

    public String getEnadr() {
        return enadr;
    }

    public void setEnadr(String enadr) {
        this.enadr = enadr;
    }

    public String getCnadr() {
        return cnadr;
    }

    public void setCnadr(String cnadr) {
        this.cnadr = cnadr;
    }

    public String getIdtype() {
        return idtype;
    }

    public void setIdtype(String idtype) {
        this.idtype = idtype;
    }

    public String getJuscod() {
        return juscod;
    }

    public void setJuscod(String juscod) {
        this.juscod = juscod;
    }

    public String getIdcode() {
        return idcode;
    }

    public void setIdcode(String idcode) {
        this.idcode = idcode;
    }

    public String getAkkcom() {
        return akkcom;
    }

    public void setAkkcom(String akkcom) {
        this.akkcom = akkcom;
    }

    public String getQygmgb() {
        return qygmgb;
    }

    public void setQygmgb(String qygmgb) {
        this.qygmgb = qygmgb;
    }

    public String getAccusr() {
        return accusr;
    }

    public void setAccusr(String accusr) {
        this.accusr = accusr;
    }

    public String getBchkeyinr() {
        return bchkeyinr;
    }

    public void setBchkeyinr(String bchkeyinr) {
        this.bchkeyinr = bchkeyinr;
    }

    public String getIssbchinf() {
        return issbchinf;
    }

    public void setIssbchinf(String issbchinf) {
        this.issbchinf = issbchinf;
    }

    public String getSla() {
        return sla;
    }

    public void setSla(String sla) {
        this.sla = sla;
    }

    public String getKhbsdt() {
        return khbsdt;
    }

    public void setKhbsdt(String khbsdt) {
        this.khbsdt = khbsdt;
    }

    public String getCunqii() {
        return cunqii;
    }

    public void setCunqii(String cunqii) {
        this.cunqii = cunqii;
    }

    public String getBngcod() {
        return bngcod;
    }

    public String getHbkaccflg() {
        return hbkaccflg;
    }

    public void setHbkaccflg(String hbkaccflg) {
        this.hbkaccflg = hbkaccflg;
    }

    public void setBngcod(String bngcod) {
        this.bngcod = bngcod;
    }

    public BigDecimal getBilvvv() {
        return bilvvv;
    }

    public void setBilvvv(BigDecimal bilvvv) {
        this.bilvvv = bilvvv;
    }

    public String getDiscod() {
        return discod;
    }

    public void setDiscod(String discod) {
        this.discod = discod;
    }

    public String getCrmtyp() {
        return crmtyp;
    }

    public void setCrmtyp(String crmtyp) {
        this.crmtyp = crmtyp;
    }

    public String getTrnman() {
        return trnman;
    }

    public void setTrnman(String trnman) {
        this.trnman = trnman;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getNam1() {
        return nam1;
    }

    public void setNam1(String nam1) {
        this.nam1 = nam1;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getPtainr() {
        return ptainr;
    }

    public void setPtainr(String ptainr) {
        this.ptainr = ptainr;
    }

    public String getAdrinr() {
        return adrinr;
    }

    public void setAdrinr(String adrinr) {
        this.adrinr = adrinr;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public String getPtytyp() {
        return ptytyp;
    }

    public void setPtytyp(String ptytyp) {
        this.ptytyp = ptytyp;
    }

    public String getActcur() {
        return actcur;
    }

    public void setActcur(String actcur) {
        this.actcur = actcur;
    }

    public String getActtyp() {
        return acttyp;
    }

    public void setActtyp(String acttyp) {
        this.acttyp = acttyp;
    }

    public String getEcifno() {
        return ecifno;
    }

    public void setEcifno(String ecifno) {
        this.ecifno = ecifno;
    }

    public String getInflev() {
        return inflev;
    }

    public void setInflev(String inflev) {
        this.inflev = inflev;
    }

    public String getInftxt() {
        return inftxt;
    }

    public void setInftxt(String inftxt) {
        this.inftxt = inftxt;
    }

    public String getStpinflev() {
        return stpinflev;
    }

    public void setStpinflev(String stpinflev) {
        this.stpinflev = stpinflev;
    }

    public String getStpinftxt() {
        return stpinftxt;
    }

    public void setStpinftxt(String stpinftxt) {
        this.stpinftxt = stpinftxt;
    }

    public String getBranchinr() {
        return branchinr;
    }

    public void setBranchinr(String branchinr) {
        this.branchinr = branchinr;
    }

    public String getPtabranchinr() {
        return ptabranchinr;
    }

    public void setPtabranchinr(String ptabranchinr) {
        this.ptabranchinr = ptabranchinr;
    }

    public String getPtabchkeyinr() {
        return ptabchkeyinr;
    }

    public void setPtabchkeyinr(String ptabchkeyinr) {
        this.ptabchkeyinr = ptabchkeyinr;
    }

    public String getNewbchlst() {
        return newbchlst;
    }

    public void setNewbchlst(String newbchlst) {
        this.newbchlst = newbchlst;
    }

    public List<ActManageVo> getActInfo() {
        return actInfo;
    }

    public void setActInfo(List<ActManageVo> actInfo) {
        this.actInfo = actInfo;
    }

    public String getDshflg() {
        return dshflg;
    }

    public void setDshflg(String dshflg) {
        this.dshflg = dshflg;
    }

    public String getSpeeco() {
        return speeco;
    }

    public void setSpeeco(String speeco) {
        this.speeco = speeco;
    }

    public String getBranch() {
        return branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

    public Bch getBranchbch() {
        return branchbch;
    }

    public void setBranchbch(Bch branchbch) {
        this.branchbch = branchbch;
    }

    public String getBchinr() {
        return bchinr;
    }

    public void setBchinr(String bchinr) {
        this.bchinr = bchinr;
    }

    public String getEcifnam1() {
        return ecifnam1;
    }

    public void setEcifnam1(String ecifnam1) {
        this.ecifnam1 = ecifnam1;
    }

    public String getHbkinr() {
        return hbkinr;
    }

    public void setHbkinr(String hbkinr) {
        this.hbkinr = hbkinr;
    }

    public String getLoccty() {
        return loccty;
    }

    public void setLoccty(String loccty) {
        this.loccty = loccty;
    }

    public String getPobzip() {
        return pobzip;
    }

    public void setPobzip(String pobzip) {
        this.pobzip = pobzip;
    }

    public String getAdr1() {
        return adr1;
    }

    public void setAdr1(String adr1) {
        this.adr1 = adr1;
    }

    public String getAdr2() {
        return adr2;
    }

    public void setAdr2(String adr2) {
        this.adr2 = adr2;
    }

    public String getAdr3() {
        return adr3;
    }

    public void setAdr3(String adr3) {
        this.adr3 = adr3;
    }

    public String getAdr4() {
        return adr4;
    }

    public void setAdr4(String adr4) {
        this.adr4 = adr4;
    }

    public String getLocadr() {
        return locadr;
    }

    public void setLocadr(String locadr) {
        this.locadr = locadr;
    }

    public String getBchkeycode() {
        return bchkeycode;
    }

    public void setBchkeycode(String bchkeycode) {
        this.bchkeycode = bchkeycode;
    }

    public String getBranchcode() {
        return branchcode;
    }

    public void setBranchcode(String branchcode) {
        this.branchcode = branchcode;
    }


    public String getBchkey() {
        return bchkey;
    }

    public void setBchkey(String bchkey) {
        this.bchkey = bchkey;
    }

    public Bch getBchkeybch() {
        return bchkeybch;
    }

    public void setBchkeybch(Bch bchkeybch) {
        this.bchkeybch = bchkeybch;
    }

    public String getBchkeyname() {
        return bchkeyname;
    }

    public void setBchkeyname(String bchkeyname) {
        this.bchkeyname = bchkeyname;
    }

    public String getBranchname() {
        return branchname;
    }

    public void setBranchname(String branchname) {
        this.branchname = branchname;
    }

    public String getPtabranch() {
        return ptabranch;
    }

    public void setPtabranch(String ptabranch) {
        this.ptabranch = ptabranch;
    }

    public String getPtabranchname() {
        return ptabranchname;
    }

    public void setPtabranchname(String ptabranchname) {
        this.ptabranchname = ptabranchname;
    }

    public String getPtabchkey() {
        return ptabchkey;
    }

    public void setPtabchkey(String ptabchkey) {
        this.ptabchkey = ptabchkey;
    }

    public String getPtabchkeyname() {
        return ptabchkeyname;
    }

    public void setPtabchkeyname(String ptabchkeyname) {
        this.ptabchkeyname = ptabchkeyname;
    }
}
